using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ClockMark
{
    public partial class frmAlarms : Form
    {
        private frmClockMark frmParent;
		private static frmAlarms _childInstance = null;

        private frmAlarms(frmClockMark frmParent)
		{
			InitializeComponent();

			this.frmParent = frmParent;
            this.Icon = Properties.Resources.ClockMark;

            // load and display alarms
            this.LoadAlarms();
		}

        private void LoadAlarms()
        {
            if (this.frmParent.ClockMarkAlarms.AlAlarms.Count > 0)
            {
                foreach (Alarm alarm in this.frmParent.ClockMarkAlarms.AlAlarms)
                {

                }
            }
        }

        public static frmAlarms GetChild(frmClockMark frmParent)
		{
			if (_childInstance == null)
				_childInstance = new frmAlarms(frmParent);

			return _childInstance;
		}

        private void btNewAlarm_Click(object sender, EventArgs e)
        {
            frmNewAlarm frmNewAlarmDialog = frmNewAlarm.GetChild(this.frmParent);

            if (frmNewAlarmDialog != null)
            {
                if (frmNewAlarmDialog.Visible != true)
                {
                    frmNewAlarmDialog.ShowDialog();
                }
                else
                {
                    frmNewAlarmDialog.Focus();
                }
            }
        }

        private void btEditAlarm_Click(object sender, EventArgs e)
        {
            frmNewAlarm frmNewAlarmDialog = frmNewAlarm.GetChild(this.frmParent);

            if (frmNewAlarmDialog != null)
            {
                if (frmNewAlarmDialog.Visible != true)
                {
                    frmNewAlarmDialog.ShowDialog();
                }
                else
                {
                    frmNewAlarmDialog.Focus();
                }
            }
        }

        private void btDeleteAlarm_Click(object sender, EventArgs e)
        {

        }

        private void btDeleteAll_Click(object sender, EventArgs e)
        {

        }

        private void btClose_Click(object sender, EventArgs e)
        {

        }
    }
}